MakeMKV broken after upgrade to Ubuntu 18.04

The place to discuss linux version of MakeMKV
CarrollJ
Posts: 1
Joined: Sat Sep 01, 2018 10:28 pm

MakeMKV broken after upgrade to Ubuntu 18.04

Post by CarrollJ » Sat Sep 01, 2018 10:36 pm

I just upgraded from 16.04 and makeMKV fails to run. I get a dialog saying "Application failed to initialize". I read other posts and tried some things. In particular:

I tried from the commandline to get real errors:

Code: Select all

root@Cheyenne:/home/jim/Downloads/makemkv/makemkv-bin-1.12.3# makemkvcon
makemkvcon: error while loading shared libraries: libavcodec-ffmpeg.so.56: cannot open shared object file: No such file or directory
Then I tried ldd:

Code: Select all

root@Cheyenne:/home/jim/Downloads/makemkv/makemkv-bin-1.12.3# ldd /usr/bin/makemkvcon
	linux-vdso.so.1 (0x00007ffc45d82000)
	libmakemkv.so.1 => /usr/lib/libmakemkv.so.1 (0x00007fdfd80c0000)
	libdriveio.so.0 => /usr/lib/libdriveio.so.0 (0x00007fdfd7eb9000)
	libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007fdfd7c9a000)
	libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007fdfd78a9000)
	libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007fdfd76a5000)
	libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007fdfd7317000)
	librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007fdfd710f000)
	libcrypto.so.1.0.0 => /usr/lib/x86_64-linux-gnu/libcrypto.so.1.0.0 (0x00007fdfd6ccc000)
	libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007fdfd6aaf000)
	libexpat.so.1 => /lib/x86_64-linux-gnu/libexpat.so.1 (0x00007fdfd687d000)
	libavcodec-ffmpeg.so.56 => not found
	libavutil-ffmpeg.so.54 => not found
	libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007fdfd64df000)
	libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007fdfd62c7000)
	/lib64/ld-linux-x86-64.so.2 (0x00007fdfd835b000)
So tried to install ffmpeg:

Code: Select all

root@Cheyenne:/home/jim/Downloads/makemkv/makemkv-bin-1.12.3# sudo apt install ffmpeg
Reading package lists... Done
Building dependency tree       
Reading state information... Done
ffmpeg is already the newest version (7:3.4.4-0ubuntu0.18.04.1).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
And checked the version:

Code: Select all

root@Cheyenne:/home/jim/Downloads/makemkv/makemkv-bin-1.12.3# ffmpeg -version
ffmpeg version 3.4.4-0ubuntu0.18.04.1 Copyright (c) 2000-2018 the FFmpeg developers
built with gcc 7 (Ubuntu 7.3.0-16ubuntu3)
configuration: --prefix=/usr --extra-version=0ubuntu0.18.04.1 --toolchain=hardened --libdir=/usr/lib/x86_64-linux-gnu --incdir=/usr/include/x86_64-linux-gnu --enable-gpl --disable-stripping --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmp3lame --enable-libmysofa --enable-libopenjpeg --enable-libopenmpt --enable-libopus --enable-libpulse --enable-librubberband --enable-librsvg --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxml2 --enable-libxvid --enable-libzmq --enable-libzvbi --enable-omx --enable-openal --enable-opengl --enable-sdl2 --enable-libdc1394 --enable-libdrm --enable-libiec61883 --enable-chromaprint --enable-frei0r --enable-libopencv --enable-libx264 --enable-shared
libavutil      55. 78.100 / 55. 78.100
libavcodec     57.107.100 / 57.107.100
libavformat    57. 83.100 / 57. 83.100
libavdevice    57. 10.100 / 57. 10.100
libavfilter     6.107.100 /  6.107.100
libavresample   3.  7.  0 /  3.  7.  0
libswscale      4.  8.100 /  4.  8.100
libswresample   2.  9.100 /  2.  9.100
libpostproc    54.  7.100 / 54.  7.100
But still no luck.

Any suggestions greatly appreciated!

Thanks

mike admin
Posts: 3630
Joined: Wed Nov 26, 2008 2:26 am
Contact:

Re: MakeMKV broken after upgrade to Ubuntu 18.04

Post by mike admin » Tue Sep 04, 2018 11:21 pm

CarrollJ wrote:
Sat Sep 01, 2018 10:36 pm
Any suggestions greatly appreciated!
You have to rebuild oss package.

gekkentekken
Posts: 14
Joined: Sat Feb 25, 2017 3:26 pm

Re: MakeMKV broken after upgrade to Ubuntu 18.04

Post by gekkentekken » Sat Jan 26, 2019 12:45 pm

Sorry but this doesn't work. I need help.

I have installed:
libavcodec 58. 18.100 / 58. 18.100

When I do a configure and make install on the OSS, it still complains about
/usr/bin/makemkvcon: error while loading shared libraries: libavcodec.so.57: cannot open shared object file: No such file or directory

How can I make it use 58 instead of 57 ?? I am going crazy here.

EDIT: I've tried to build and configure ffmpeg separately too as stated in the tutorial, but it doesn't solve the problem.

bib1963
Posts: 4
Joined: Sun Aug 04, 2013 3:50 pm

Re: MakeMKV broken after upgrade to Ubuntu 18.04

Post by bib1963 » Tue Jan 29, 2019 8:21 pm

The problem is with the makemkvcon binary which is not built by you, but is contained in the makemkv-...bin.tar.gz prebuilt.

It is linked with .57...

PP ~/.MakeMKV$ ldd /usr/bin/makemkvcon | grep avcodec
libavcodec.so.57 => /usr/lib64/libavcodec.so.57 (0x00007f3aedc24000)

You have to install avcodec57.

gekkentekken
Posts: 14
Joined: Sat Feb 25, 2017 3:26 pm

Re: MakeMKV broken after upgrade to Ubuntu 18.04

Post by gekkentekken » Thu Jan 31, 2019 3:21 pm

I see. Thanks for answering.
So in other words the current MakeMKV is in need of an update ASAP.

Do you know where I can get hold of avcodec57?

mike admin
Posts: 3630
Joined: Wed Nov 26, 2008 2:26 am
Contact:

Re: MakeMKV broken after upgrade to Ubuntu 18.04

Post by mike admin » Mon Feb 04, 2019 6:31 pm

bib1963 wrote:
Tue Jan 29, 2019 8:21 pm
The problem is with the makemkvcon binary which is not built by you, but is contained in the makemkv-...bin.tar.gz prebuilt.

It is linked with .57...

PP ~/.MakeMKV$ ldd /usr/bin/makemkvcon | grep avcodec
libavcodec.so.57 => /usr/lib64/libavcodec.so.57 (0x00007f3aedc24000)

You have to install avcodec57.
NO. You make wrong assumptions on how ldd works.

makemkvcon has no dependency on avcodec.

gekkentekken
Posts: 14
Joined: Sat Feb 25, 2017 3:26 pm

Re: MakeMKV broken after upgrade to Ubuntu 18.04

Post by gekkentekken » Tue Feb 05, 2019 10:05 am

But how do we solve the problem then? There are several other posts regarding this issue but no definitve solution.

xr200
Posts: 43
Joined: Tue Nov 10, 2015 3:11 am

Re: MakeMKV broken after upgrade to Ubuntu 18.04

Post by xr200 » Tue Feb 05, 2019 3:15 pm

In a terminal, run

ldconfig -p | grep libavcodec.so$

In my case (not running Ubuntu), I get this:

libavcodec.so (libc6,x86-64) => /usr/lib64/libavcodec.so

So I know my library is in /usr/lib64.

Now run

ls -l /usr/lib64/libavcodec.so

and see what it's linked to.

In my case (still not running Ubuntu), I get:

/usr/lib64/libavcodec.so -> libavcodec.so.58.18.100

What is your libavcodec.so linked to?

gekkentekken
Posts: 14
Joined: Sat Feb 25, 2017 3:26 pm

Re: MakeMKV broken after upgrade to Ubuntu 18.04

Post by gekkentekken » Tue Feb 05, 2019 8:52 pm

ls -l /usr/lib/x86_64-linux-gnu/libavcodec.so
/usr/lib/x86_64-linux-gnu/libavcodec.so -> libavcodec.so.58.18.100

Different path, but same version as you.

xr200
Posts: 43
Joined: Tue Nov 10, 2015 3:11 am

Re: MakeMKV broken after upgrade to Ubuntu 18.04

Post by xr200 » Tue Feb 05, 2019 10:22 pm

Hm. Not what I expected. I'm not an expert, just throwing out ideas trying to help.

It would appear you have something linked to libavcodec.so.57*

try this:

ls -l /usr/lib/x86_64-linux-gnu/libavcodec.so.57*

I don't know how many files you'll find, but it won't be a lot.

For each of the files you find, try

find -L / -xtype l -samefile <full path to file you just found>

This should find any file that is linked to libavcodec.so.57*

See if anything looks amiss.

Also verify you do not have environment variable LD_LIBRARY_PATH set

It sure seems to me (not an expert) that somehow/somewhere you have
some library somewhere linked to libavcodec.so.57 instead of libavcodec.so.58

Good luck.

gekkentekken
Posts: 14
Joined: Sat Feb 25, 2017 3:26 pm

Re: MakeMKV broken after upgrade to Ubuntu 18.04

Post by gekkentekken » Wed Feb 06, 2019 7:17 am

Thanks for the tips.
The problem is that makemkv expects libavcodec.so.57 - and I have libavcodec.so.58

This is all the files matching:

/usr/lib/x86_64-linux-gnu/libavcodec.a
/usr/lib/x86_64-linux-gnu/libavcodec.so -> libavcodec.so.58.18.100
/usr/lib/x86_64-linux-gnu/libavcodec.so.58 -> libavcodec.so.58.18.100
/usr/lib/x86_64-linux-gnu/libavcodec.so.58.18.100

I don't have a LD_LIBRARY_PATH set

xr200
Posts: 43
Joined: Tue Nov 10, 2015 3:11 am

Re: MakeMKV broken after upgrade to Ubuntu 18.04

Post by xr200 » Wed Feb 06, 2019 3:23 pm

Did you try this:

ls -l /usr/lib/x86_64-linux-gnu/libavcodec.so.57*

?

gekkentekken
Posts: 14
Joined: Sat Feb 25, 2017 3:26 pm

Re: MakeMKV broken after upgrade to Ubuntu 18.04

Post by gekkentekken » Wed Feb 06, 2019 5:40 pm

Yes, there is no libavcodec.so.57 there. Only the ones I've listed. Doesn't seem to be a libavcodec.so.57 anywhere on the file system.

xr200
Posts: 43
Joined: Tue Nov 10, 2015 3:11 am

Re: MakeMKV broken after upgrade to Ubuntu 18.04

Post by xr200 » Thu Feb 07, 2019 12:43 am

First, be sure you started in an empty node when you built
makemkv. If you not sure, just build it again and see what happens.

If you still have the problem,
you could then try this:

cd /usr/lib/x86_64-linux-gnu
ln -s libavcodec.so.58.18.100 libavcodec.so.57

and see what happens when you run makemkv.

This is not a fix. It's just a suggestion to gain information
that might help point to the real problem.

gekkentekken
Posts: 14
Joined: Sat Feb 25, 2017 3:26 pm

Re: MakeMKV broken after upgrade to Ubuntu 18.04

Post by gekkentekken » Thu Feb 07, 2019 11:44 am

xr200 wrote:
Thu Feb 07, 2019 12:43 am
First, be sure you started in an empty node when you built
makemkv. If you not sure, just build it again and see what happens.
Ok. What in an empty node in this context?

Post Reply